Loading...
Searching...
No Matches
putenv.c File Reference

GIS library - environment routines. More...

`#include <string.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <grass/config.h>`
`#include <grass/gis.h>`
Include dependency graph for putenv.c:

Go to the source code of this file.

## Functions

void | G_putenv (const char *name, const char *value)
| Sets the UNIX environment variable name to value.

## Variables

char ** | environ

## Detailed Description

GIS library - environment routines.

(C) 2001-2009, 2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL
  Updated for GRASS7 by Glynn Clements

Definition in file putenv.c.

## Function Documentation

## G_putenv()

void G_putenv | ( | const char * | name,
|  | const char * | value )

Sets the UNIX environment variable name to value.

Parameters

  name | env name
  value | env value

Definition at line 31 of file putenv.c.

References environ, G_free(), G_store(), name, and NULL.

## Variable Documentation

## environ

char** environ

extern

Referenced by G_putenv().